var imagePath = "";
var divHeight = ""; // 查询面板高度
var dataGridWidth = ""; // 查询面板宽度
var dataGridHeight = "";
var bodyWidth = 0;
var bodyHeight = 0;
var editor1 = null;
var operation = "";
var serverIp = "";

$(function() {
	divHeight = $("#queryDiv").height();
	dataGridWidth = $("#queryDiv").width();
	dataGridHeight = divHeight + 28;
	bodyWidth = document.body.clientWidth;
	bodyHeight = document.documentElement.clientHeight;
	addWinWidth = (bodyWidth/100)*80  
	addWinHeight = (addWinWidth/16)*9
	
	initDataTable();
	serverIp = document.location.hostname;  
	
	
})

function initDataTable(){
	var h = document.documentElement.clientHeight;
	$("#logInfoListTable").datagrid({
		height : h - dataGridHeight,
		nowrap : true,
		striped : true,
		pagination : true,
		rownumbers : true,
		pageList : [15,20,30,40,50],
		autoRowHeight : false, 
		fitColumns : true,
		title : "日志信息列表", 
		url : '/admin/logManage/getAllLogInfos',
		columns : [ [ {
			field : 'ck',
			title : 'id',
			width : 15,
			checkbox : true
		}, {
			field : 'operateName',
			title : '操作名称',
			align : 'center', 
			width : 170
		}, {
			field : 'operateTime',
			title : '操作时间',
			align : 'center',
			width : 250
		}, {
			field : 'operator',
			title : '操作人',
			align : 'center',
			width : 70
		}, {  
			field : 'operatorIp',
			title : '操作人ip',
			align : 'center',
			width : 50
		} ] ],
		onDblClickRow : function(index, row) { // 双击"任一行"执行
		},
		onLoadSuccess : function(data) { // 加载成功之后执行
		}
	});
}

//查询
function queryData() {
	var teamName = $("#teamNameId00").val()
	var queryParams = null;
	$("#topicWorkTeamListTable").datagrid({
		queryParams : {
			teamName : teamName,
			languageType : languageType
		}
	});
}
//清空查询条件
function clearQueryForm(){
	$("#queryFormId").form('clear');
}

//设置 long 宽度自适应   相对窗口
function fixLongWidth(){ 
	return addWinWidth*0.755;        
} 
             
//设置 short 宽度自适应
function fixShortWidth(){   
	return addWinWidth*0.30;           
} 
 
